ONVIF::Media::Types::MetadataConfiguration(3)

NAME
ONVIF::Media::Types::MetadataConfiguration

DESCRIPTION
Perl data type class for the XML Schema defined complexType MetadataConfiguration from the namespace http://www.onvif.org/ver10/schema.

  PROPERTIES
The following properties may be accessed using get_PROPERTY / set_PROPERTY methods:

•   PTZStatus

•   Analytics

•   Multicast

•   SessionTimeout

•   AnalyticsEngineConfiguration

•   Extension

METHODS

  new
Constructor. The following data structure may be passed to new():

 { # ONVIF::Media::Types::MetadataConfiguration
   PTZStatus =>  { # ONVIF::Media::Types::PTZFilter
     Status =>  $some_value, # boolean
     Position =>  $some_value, # boolean
   },
   Analytics =>  $some_value, # boolean
   Multicast =>  { # ONVIF::Media::Types::MulticastConfiguration
     Address =>  { # ONVIF::Media::Types::IPAddress
       Type => $some_value, # IPType
       IPv4Address => $some_value, # IPv4Address
       IPv6Address => $some_value, # IPv6Address
     },
     Port =>  $some_value, # int
     TTL =>  $some_value, # int
     AutoStart =>  $some_value, # boolean
   },
   SessionTimeout =>  $some_value, # duration
   AnalyticsEngineConfiguration =>  { # ONVIF::Media::Types::AnalyticsEngineConfiguration
     AnalyticsModule =>  { # ONVIF::Media::Types::Config
       Parameters =>  { # ONVIF::Media::Types::ItemList
         SimpleItem => ,
         ElementItem =>  {
         },
         Extension =>  { # ONVIF::Media::Types::ItemListExtension
         },
       },
     },
     Extension =>  { # ONVIF::Media::Types::AnalyticsEngineConfigurationExtension
     },
   },
   Extension =>  { # ONVIF::Media::Types::MetadataConfigurationExtension
   },
 },

AUTHOR
Generated by SOAP::WSDL